## plutovg 1.0.0

=== debian/changelog ===
plutovg (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #1099422)

 -- Sébastien Noel <sebastien@twolife.be>  Sat, 05 Apr 2025 12:03:49 +0200
