=== meson_options.txt ===
option('examples', type : 'feature', value : 'auto')
option('tests', type : 'feature', value : 'auto')

option('font-face-cache-load',
	type : 'feature',
    value : 'auto',
    description : 'Enable loading font face cache from files and directories'
)
