=== debian/changelog ===
plutovg (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Sébastien Noel <sebastien@twolife.be>  Fri, 29 Aug 2025 08:32:49 +0200
