=== debian/control ===
Source: plutovg
Section: libs
Priority: optional
Maintainer: Sébastien Noel <sebastien@twolife.be>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), cmake, pkgconf, meson, ninja-build
Standards-Version: 4.7.2
Homepage: https://github.com/sammycage/plutovg
Vcs-Git: https://salsa.debian.org/twolife/plutovg.git
Vcs-Browser: https://salsa.debian.org/twolife/plutovg

Package: libplutovg-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libplutovg1 (= ${binary:Version})
Description: Tiny 2D vector graphics library - devel
 PlutoVG is a standalone 2D vector graphics library. It features:
  - Path Filling, Stroking and Dashing
  - Solid, Gradient and Texture Paints
  - Fonts and Texts
  - Clipping and Compositing
  - Transformations
  - Images
 .
 This package contains the development files for libplutovg.

Package: libplutovg1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Tiny 2D vector graphics library
 PlutoVG is a standalone 2D vector graphics library. It features:
  - Path Filling, Stroking and Dashing
  - Solid, Gradient and Texture Paints
  - Fonts and Texts
  - Clipping and Compositing
  - Transformations
  - Images
