=== debian/watch ===
version=4
opts="pgpmode=none"
https://github.com/sammycage/plutovg/tags .*/v?(\d.*)@ARCHIVE_EXT@
