=== meson_options.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 option('tests', type : 'feature', value : 'auto')
 
 option('font-face-cache-load',
-	type : 'feature',
+    type : 'feature',
     value : 'auto',
     description : 'Enable loading font face cache from files and directories'
 )
