=== examples/CMakeLists.txt ===
add_executable(smiley smiley.c)
target_link_libraries(smiley plutovg)
