=== debian/changelog ===
plutovg (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Sébastien Noel <sebastien@twolife.be>  Thu, 18 Sep 2025 14:36:28 +0200

plutovg (1.3.0-3) unstable; urgency=low

  * Really fix build on Hurd

 -- Sébastien Noel <sebastien@twolife.be>  Fri, 12 Sep 2025 12:38:19 +0200

plutovg (1.3.0-2) unstable; urgency=low

  * Declare libplutovg-dev as "Multi-Arch: same"
  * Fix build on Hurd

 -- Sébastien Noel <sebastien@twolife.be>  Fri, 05 Sep 2025 09:16:06 +0200
