=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sébastien Noel <sebastien@twolife.be>
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13), cmake, pkgconf, meson, ninja-build
+Build-Depends: debhelper-compat (= 13), cmake, pkgconf, meson
 Standards-Version: 4.7.2
 Homepage: https://github.com/sammycage/plutovg
 Vcs-Git: https://salsa.debian.org/twolife/plutovg.git
@@ -12,6 +12,7 @@
 Package: libplutovg-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libplutovg1 (= ${binary:Version})
 Description: Tiny 2D vector graphics library - devel
  PlutoVG is a standalone 2D vector graphics library. It features:
