=== debian/tests/control ===
Tests: smiley
Depends: @, build-essential, pkgconf
Restrictions: allow-stderr
