## plutovg 1.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(PLUTOVG_VERSION_MAJOR 1)
 set(PLUTOVG_VERSION_MINOR 3)
-set(PLUTOVG_VERSION_MICRO 1)
+set(PLUTOVG_VERSION_MICRO 2)
 
 project(plutovg LANGUAGES C VERSION ${PLUTOVG_VERSION_MAJOR}.${PLUTOVG_VERSION_MINOR}.${PLUTOVG_VERSION_MICRO})
