=== debian/changelog ===
plutovg (1.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Sébastien Noel <sebastien@twolife.be>  Thu, 20 Nov 2025 10:45:10 +0100
