=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: libs
 Priority: optional
 Maintainer: Sébastien Noel <sebastien@twolife.be>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), cmake, pkgconf, meson
 Standards-Version: 4.7.2
 Homepage: https://github.com/sammycage/plutovg
